
From: maximilian attems <janitor@sternwelten.at>

Fix teles3 section references:
  convert __initdata to __devinitdata.

Error: ./drivers/isdn/hisax/teles3.o .text refers to 000011ab R_386_32
.init.data
Error: ./drivers/isdn/hisax/teles3.o .text refers to 000011ba R_386_32
.init.data
Error: ./drivers/isdn/hisax/teles3.o .text refers to 000011e0 R_386_32
.init.data
Error: ./drivers/isdn/hisax/teles3.o .text refers to 000011fd R_386_32
.init.data
Error: ./drivers/isdn/hisax/teles3.o .text refers to 0000128c R_386_32
.init.data
Error: ./drivers/isdn/hisax/teles3.o .text refers to 00001294 R_386_32
.init.data
Error: ./drivers/isdn/hisax/teles3.o .text refers to 000012a6 R_386_32
.init.data

Signed-off-by: maximilian attems <janitor@sternwelten.at>
Acked-by: Randy Dunlap <rddunlap@osdl.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/isdn/hisax/teles3.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/isdn/hisax/teles3.c~teles3-eliminate-bad-section-references drivers/isdn/hisax/teles3.c
--- 25/drivers/isdn/hisax/teles3.c~teles3-eliminate-bad-section-references	Mon Mar 14 15:27:16 2005
+++ 25-akpm/drivers/isdn/hisax/teles3.c	Mon Mar 14 15:27:16 2005
@@ -254,7 +254,7 @@ Teles_card_msg(struct IsdnCardState *cs,
 
 #ifdef __ISAPNP__
 
-static struct isapnp_device_id teles_ids[] __initdata = {
+static struct isapnp_device_id teles_ids[] __devinitdata = {
 	{ ISAPNP_VENDOR('T', 'A', 'G'), ISAPNP_FUNCTION(0x2110),
 	  ISAPNP_VENDOR('T', 'A', 'G'), ISAPNP_FUNCTION(0x2110), 
 	  (unsigned long) "Teles 16.3 PnP" },
@@ -267,7 +267,7 @@ static struct isapnp_device_id teles_ids
 	{ 0, }
 };
 
-static struct isapnp_device_id *ipid __initdata = &teles_ids[0];
+static struct isapnp_device_id *ipid __devinitdata = &teles_ids[0];
 static struct pnp_card *pnp_c __devinitdata = NULL;
 #endif
 
_
